---
# tasks file for acme
  - name: Check if step binaries already exists
    stat:
      path: "/usr/bin/step"
    register: stat_result
  - debug: "msg={{ stat_result }}"

  - name: Check version
    shell: |
      chmod +x /usr/bin/step
      /usr/bin/step --version | grep Smallstep | grep -Po "([0-9]+(\.[0-9]+)+)"
    register: result
    when: stat_result.stat.exists

  - name: Install New Version
    include: install.yml
    when: (result.stdout|default('') != cli_version) or (not stat_result.stat.exists)

